Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class JCEDHPublicKey

    java.lang.Object
      org.bouncycastle.jce.provider.JCEDHPublicKey

All Implemented Interfaces:
  java.io.Serializable, java.security.Key, java.security.PublicKey, javax.crypto.interfaces.DHKey, javax.crypto.interfaces.DHPublicKey

    public class JCEDHPublicKey

extends java.lang.Object
implements javax.crypto.interfaces.DHPublicKey

See Also:
  Serialized Form

Method Summary
`java.lang.String` `getAlgorithm()`
`byte[]` `getEncoded()`
`java.lang.String` `getFormat()`
`javax.crypto.spec.DHParameterSpec` `getParams()`
`java.math.BigInteger` `getY()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

  Specified by:
    `getAlgorithm` in interface `java.security.Key`

### getFormat

    public java.lang.String getFormat()

  Specified by:
    `getFormat` in interface `java.security.Key`

### getEncoded

    public byte[] getEncoded()

  Specified by:
    `getEncoded` in interface `java.security.Key`

### getParams

    public javax.crypto.spec.DHParameterSpec getParams()

  Specified by:
    `getParams` in interface `javax.crypto.interfaces.DHKey`

### getY

    public java.math.BigInteger getY()

  Specified by:
    `getY` in interface `javax.crypto.interfaces.DHPublicKey`

Bouncy Castle Cryptography Library 1.45